summaryrefslogtreecommitdiffstats
path: root/src/compiler/glsl
diff options
context:
space:
mode:
authorEmil Velikov <[email protected]>2017-02-26 20:47:30 +0000
committerEmil Velikov <[email protected]>2017-03-28 15:31:22 +0100
commit4b366b171da2d77c92cef43833f50d4cf2427dcf (patch)
tree1210c2aedcbcf5a3c978734768552c913535cb28 /src/compiler/glsl
parent1d93fa7be4223e56eeae8f56ff358d264b540d9f (diff)
glsl/tests/warnings-test: error out if glsl_compiler is missing
... or non-executable, in particular. v2: use test -x (Eric) Signed-off-by: Emil Velikov <[email protected]> Acked-by: Kenneth Graunke <[email protected]> (v1) Reviewed-by: Eric Engestrom <[email protected]>
Diffstat (limited to 'src/compiler/glsl')
-rwxr-xr-xsrc/compiler/glsl/tests/warnings-test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/compiler/glsl/tests/warnings-test.sh b/src/compiler/glsl/tests/warnings-test.sh
index 6a52d4064f8..b19e2fe5171 100755
--- a/src/compiler/glsl/tests/warnings-test.sh
+++ b/src/compiler/glsl/tests/warnings-test.sh
@@ -6,6 +6,11 @@ compiler=./glsl_compiler
total=0
pass=0
+if [ ! -x "$compiler" ]; then
+ echo "Could not find glsl_compiler. Ensure that it is build via make check"
+ exit 1
+fi
+
echo "====== Testing compilation output ======"
for test in `find . -iname '*.vert'`; do
echo -n "Testing $test..."